
/* NOTE (Sam, 4.19.09) - I commented out the replace commands that make yap1 and gap1 impermanent. The effects of waste treatment plants are permanent and should not be coded as ending */
/* NOTE (Sam, 5.27.09) - There are ~15 cities incorrectly coded as having not received a policy because they lie on small tributaries of rivers covered under action plans; for instance the command on ~line 86 of this file recodes all cities not on the Ganga as not covered by GAP1 . Thus the city of Chapra is originally coded as having YAP1 but is then recoded in ~line 86 since it is listed as being on River Ghagara. I am changing the identified cities back to having the policy */

/* drop tds1 because it does not presents any data in any year and the CPCB
could not define what it refered to */
/*  cap drop tds1 */ 			// OJO: this command was in Abby's original code but I see this variable nowhere -- JSS

/* label certain confusing variables from 2004 dataset */
/* label var mf "MONITORING FREQUENCY"	*/							// OJO: same as above, these were in Abby's original code but I see the data nowhere
/* label var v11 "unnamed var from '04 data only- could not ID it- all obs = . or NO" */
/* label var v14 "unnamed var from '04 data only- could not ID it- all obs = . or NO" */
/* label var v20 "unnamed var from '04 data only- could not ID it- all obs = . or NO" */


replace state="Andhra Pradesh" if state=="ANDHRA PRADESH" | state=="ANDHRA PRADSEH" | state=="andhra pradesh"
replace state="Assam" if state=="ASSAM" | state=="assam"
replace state="Bihar" if state=="BIHAR" | state=="bihar"
replace state="Uttar Pradesh" if state=="UTTAR PRADESH" | state=="uttar pradesh"
replace state="West Bengal" if state=="WEST BENGAL" | state=="west bengal"
replace state="Tripura" if state=="TRIPURA" | state=="tripura"
replace state="Tamil Nadu" if state=="TAMIL NADU" | state=="tamil nadu"
replace state="Sikkim" if state=="SIKKIM" | state=="sikkim"
replace state="Rajasthan" if state=="RAJASTHAN" | state=="rajasthan"
replace state="Punjab" if state=="PUNJAB" | state=="punjab"
replace state="Pondicherry" if state=="PONDICHERRY" | state=="pondicherry"
replace state="Orissa" if state=="ORISSA" | state=="orissa"
replace state="Nagaland" if state=="NAGALAND" | state=="nagaland"
replace state="Mizoram" if state=="MIZORAM" | state=="mizoram"
replace state="Manipur" if state=="MANIPUR" | state=="manipur"
replace state="Maharashtra" if state=="MAHARASHTRA" | state=="maharashtra"
replace state="Madhya Pradesh" if state=="MADHYA PRADESH" | state=="madhya pradesh"
replace state="Meghalaya" if state=="MEGHALAYA" | state=="meghalaya"
replace state="Lakshadweep" if state=="LAKSHDWEEP" | state=="LAKSHADWEEP" | state=="lakshadweep" | state=="lakshdweep" | state=="Lakshdweep"
replace state="Karnataka" if state=="KARNATAKA" | state=="karnataka"
replace state="Kerala" if state=="KERALA" | state=="kerala"
replace state="Jharkhand" if state=="JHARKHAND" | state=="JHARKAND" | state=="jharkhand" | state=="jharkand"
replace state="Himachal Pradesh" if state=="HIMACHAL PRADESH" | state=="himachal pradesh"
replace state="Haryana" if state=="HARYANA" | state=="haryana"
replace state="Gujarat" if state=="GUJARAT" | state=="GUJRAT" |state=="gujarat" | state=="gujrat"
replace state="Goa" if state=="GOA" | state=="goa"
replace state="Delhi" if state=="DELHI" | state=="delhi" | state=="CPCB DELHI"
replace state="Chhattisgarh" if state=="CHHATISSGARH" | state=="CHATTISGARH" | state=="Chhatissgarh" | state=="chhatissgarh" | state=="chattisgarh"
replace state="Chandigarh" if state=="CHANDIGARH" | state=="chandigarh"
replace state="Uttaranchal" if state=="UTTARANCHAL" | state=="uttaranchal"
replace state="Jammu & Kashmir" if state=="JAMMU & KASHMIR" | state=="Jammu and Kashmir" | state=="JAMMU and KASHMIR" | state=="JAMMU AND KASHMIR"
replace state="Daman & Diu" if state=="DAMAN (ZOV)" | state=="DAMAN & DIU (ZOV)"
replace state="Dadra & Nagar Haveli" if state=="DADRA & NAGAR HAVELI" | state=="DADRA and NAGAR HAVELI" | state=="DADRA and NAGAR HAVELI (ZOV)"
replace state="Andaman Nicobar" if state=="ANDAMAN NICOBAR"


replace city = "Baharampore" if city == "Baharampore" & state == "West Bengal"


* JSS--I added a river restriction to these commands.
g int gap1=0
replace gap1=1 if city=="Bhagalpur" & state=="Bihar"
replace gap1=1 if city=="Chapra" & state=="Bihar"
replace gap1=1 if city=="Munger" & state=="Bihar"
replace gap1=1 if city=="Patna" & state=="Bihar"
replace gap1=1 if city=="Allahabad" & state=="Uttar Pradesh"
replace gap1=1 if city=="Fatehgarh" & state=="Uttar Pradesh" /* JSS note: these are listed as a single city in the GAP1 list */
replace gap1=1 if city=="F'BAD" & state=="Uttar Pradesh"
replace gap1=1 if city=="Kanpur" & state=="Uttar Pradesh"
replace gap1=1 if city=="Mirzapur" & state=="Uttar Pradesh"
replace gap1=1 if city=="Varanasi" & state=="Uttar Pradesh"
replace gap1=1 if city=="Hardwar" & state=="Uttar Pradesh"  /* JSS note: these are listed as a single city in the GAP1 list */
replace gap1=1 if city=="Rishikesh" & state=="Uttar Pradesh"
replace gap1=1 if city=="Bahrampore" & state=="West Bengal"
replace gap1=1 if city=="Bally" & state=="West Bengal"
replace gap1=1 if city=="Baranagar" & state=="West Bengal"
replace gap1=1 if city=="Bhatpara" & state=="West Bengal"
replace gap1=1 if city=="Calcutta" & state=="West Bengal"  // Abby original write as "Calcutta Corpn. Area" but I (JSS) rewrite so it merges
replace gap1=1 if city=="Chandan Nagar" & state=="West Bengal"
replace gap1=1 if city=="Howrah" & state=="West Bengal"
replace gap1=1 if city=="Hugli Chinsura" & state=="West Bengal"
replace gap1=1 if city=="Kalyani" & state=="West Bengal"
replace gap1=1 if city=="Kamarhati" & state=="West Bengal"
replace gap1=1 if city=="Nabadwip" & state=="West Bengal"
replace gap1=1 if city=="Naihati" & state=="West Bengal"
replace gap1=1 if city=="Panihati" & state=="West Bengal"
replace gap1=1 if city=="Serampore" & state=="West Bengal"
replace gap1=1 if city=="Titagarh" & state=="West Bengal"
replace gap1 = 0 if river ~= "Ganga"
la var gap1 "=1 if city-river-year is treated, =0 otherwise"


g int gap2=0
g int gap2costslakhs =.
replace gap2=1 if city=="Allahabad" & state=="Uttar Pradesh"
replace gap2costslakhs=3272.36 if city=="Allahabad" & state=="Uttar Pradesh"
replace gap2=1 if city=="Anupshaher" & state=="Uttar Pradesh"
replace gap2costslakhs=549.07 if city=="Anupshaher" & state=="Uttar Pradesh"
replace gap2=1 if city=="Arrah" & state=="Bihar"
replace gap2costslakhs=255.2 if city=="Arrah" & state=="Bihar"
replace gap2=1 if city=="Bhadreshwar and Champdani" & state=="West Bengal"
replace gap2costslakhs=255.2 if city=="Bhadreshwar and Champdani" & state=="West Bengal"
replace gap2=1 if city=="Badrinath" & state=="Uttaranchal"
replace gap2costslakhs=67.54 if city=="Badrinath" & state=="Uttaranchal"
replace gap2=1 if city=="Baidyabati" & state=="West Bengal"
replace gap2costslakhs=1291.11 if city=="Baidyabati" & state=="West Bengal"
replace gap2=1 if city=="Bansberia" & state=="West Bengal"
replace gap2costslakhs=2680.59 if city=="Bansberia" & state=="West Bengal"
replace gap2=1 if city=="Barahya" & state=="Bihar"
replace gap2costslakhs=41.26 if city=="Barahya" & state=="Bihar"
replace gap2=1 if city=="Barh" & state=="Bihar"
replace gap2costslakhs=68.69 if city=="Barh" & state=="Bihar"
replace gap2=1 if city=="Barrackpore" & state=="West Bengal"
replace gap2costslakhs=2395.18 if city=="Barrackpore" & state=="West Bengal"
replace gap2=1 if city=="Bhagalpur" & state=="Bihar"
replace gap2costslakhs=516.77 if city=="Bhagalpur" & state=="Bihar"
replace gap2=1 if city=="Bijnor" & state=="Uttar Pradesh"
replace gap2costslakhs=718.2 if city=="Bijnor" & state=="Uttar Pradesh"
replace gap2=1 if city=="Budge-Budge" & state=="West Bengal"
replace gap2costslakhs=985.37 if city=="Budge-Budge" & state=="West Bengal"
replace gap2=1 if city=="Buxar" & state=="Bihar"
replace gap2costslakhs=76.14 if city=="Buxar" & state=="Bihar"
replace gap2=1 if city=="Chakdah" & state=="West Bengal"
replace gap2costslakhs=235.06 if city=="Chakdah" & state=="West Bengal"
replace gap2=1 if city=="Chapra" & state=="Bihar"
replace gap2costslakhs=167.62 if city=="Chapra" & state=="Bihar"
replace gap2=1 if city=="Chunar" & state=="Uttar Pradesh"
replace gap2costslakhs=468.3 if city=="Chunar" & state=="Uttar Pradesh"
replace gap2=1 if city=="Circular Canal" & state=="West Bengal"
replace gap2costslakhs=901.82 if city=="Circular Canal" & state=="West Bengal"
replace gap2=1 if city=="Deoprayag" & state=="Uttaranchal"
replace gap2costslakhs=381.19 if city=="Deoprayag" & state=="Uttaranchal"
replace gap2=1 if city=="Dhulian" & state=="West Bengal"
replace gap2costslakhs=371.05 if city=="Dhulian" & state=="West Bengal"
replace gap2=1 if city=="Diamond Harbour" & state=="West Bengal"
replace gap2costslakhs=342.53 if city=="Diamond Harbour" & state=="West Bengal"
replace gap2=1 if city=="Farrukhabad" & state=="Uttar Pradesh"
replace gap2costslakhs=51.02 if city=="Farrukhabad" & state=="Uttar Pradesh"
replace gap2=1 if city=="Fatwah" & state=="Bihar"
replace gap2costslakhs=66.56 if city=="Fatwah" & state=="Bihar"
replace gap2=1 if city=="Garhmukteshwar" & state=="Uttar Pradesh"
replace gap2costslakhs=153.9 if city=="Garhmukteshwar" & state=="Uttar Pradesh"
replace gap2=1 if city=="Garulia" & state=="West Bengal"
replace gap2costslakhs=1035.82 if city=="Garulia" & state=="West Bengal"
replace gap2=1 if city=="Ghazipur" & state=="Uttar Pradesh"
replace gap2costslakhs=771.78 if city=="Ghazipur" & state=="Uttar Pradesh"
replace gap2=1 if city=="Gopeshwar" & state=="Uttaranchal"
replace gap2costslakhs=97.42 if city=="Gopeshwar" & state=="Uttaranchal"
replace gap2=1 if city=="Hazipur" & state=="Bihar"
replace gap2costslakhs=292.63 if city=="Hazipur" & state=="Bihar"
replace gap2=1 if city=="Patna" & state=="Bihar"
replace gap2costslakhs=1163.57 if city=="Patna" & state=="Bihar"
replace gap2=1 if city=="Kahalgaon" & state=="Bihar" // Abby originally wrote as Kahelaon, but this spelling fits the other data
replace gap2costslakhs=206.92 if city=="Kahalgaon" & state=="Bihar"
replace gap2=1 if city=="Sultanganj" & state=="Bihar"
replace gap2costslakhs=93.81 if city=="Sultanganj" & state=="Bihar"
replace gap2=1 if city=="Mokama" & state=="Bihar"	// Originally had an h at the end but I (JSS) removed so the spelling fits with other data
replace gap2costslakhs=176.68 if city=="Mokama" & state=="Bihar"
replace gap2=1 if city=="Munger" & state=="Bihar"
replace gap2costslakhs=116.38 if city=="Munger" & state=="Bihar"
replace gap2=1 if city=="Kanpur" & state=="Uttar Pradesh"
replace gap2costslakhs=8573.88 if city=="Kanpur" & state=="Uttar Pradesh"
replace gap2=1 if city=="Mirzapur" & state=="Uttar Pradesh"
replace gap2costslakhs=369.6 if city=="Mirzapur" & state=="Uttar Pradesh"
replace gap2=1 if city=="Mughal Sarai" & state=="Uttar Pradesh"
replace gap2costslakhs=409.02 if city=="Mughal Sarai" & state=="Uttar Pradesh"
replace gap2=1 if city=="Saidpur" & state=="Uttar Pradesh"
replace gap2costslakhs=61.62 if city=="Saidpur" & state=="Uttar Pradesh"
replace gap2=1 if city=="Varanasi" & state=="Uttar Pradesh"
replace gap2costslakhs=4505.97 if city=="Varanasi" & state=="Uttar Pradesh"
replace gap2=1 if city=="Joshimath" & state=="Uttaranchal"
replace gap2costslakhs=43.82 if city=="Joshimath" & state=="Uttaranchal"
replace gap2=1 if city=="Karnaparag" & state=="Uttaranchal"
replace gap2costslakhs=29.23 if city=="Karnaparag" & state=="Uttaranchal"
replace gap2=1 if city=="Ranipur" & state=="Uttaranchal"
replace gap2costslakhs=746.09 if city=="Ranipur" & state=="Uttaranchal"
replace gap2=1 if city=="Rudraprayag" & state=="Uttaranchal"
replace gap2costslakhs=209.38 if city=="Rudraprayag" & state=="Uttaranchal"
replace gap2=1 if city=="Srinagar" & state=="Uttaranchal"
replace gap2costslakhs=707.85 if city=="Srinagar" & state=="Uttaranchal"
replace gap2=1 if city=="Uttar Kashi" & state=="Uttaranchal"
replace gap2costslakhs=918.08 if city=="Uttar Kashi" & state=="Uttaranchal"
replace gap2=1 if city=="Jangipur" & state=="West Bengal"
replace gap2costslakhs=335.09 if city=="Jangipur" & state=="West Bengal"
replace gap2=1 if city=="Jijganj Azimganj" & state=="West Bengal"
replace gap2costslakhs=556.54 if city=="Jijganj Azimganj" & state=="West Bengal"
replace gap2=1 if city=="Katwa" & state=="West Bengal"
replace gap2costslakhs=357.61 if city=="Katwa" & state=="West Bengal"
replace gap2=1 if city=="Konnagar" & state=="West Bengal"
replace gap2costslakhs=1486.5 if city=="Konnagar" & state=="West Bengal"
replace gap2=1 if city=="Maheshtala" & state=="West Bengal"
replace gap2costslakhs=1275.72 if city=="Maheshtala" & state=="West Bengal"
replace gap2=1 if city=="Murshidabad" & state=="West Bengal"
replace gap2costslakhs=488.65 if city=="Murshidabad" & state=="West Bengal"
replace gap2=1 if city=="Naihati" & state=="West Bengal"
replace gap2costslakhs=2322.05 if city=="Naihati" & state=="West Bengal"
replace gap2=1 if city=="Rishra" & state=="West Bengal"
replace gap2costslakhs=1191.24 if city=="Rishra" & state=="West Bengal"
replace gap2=1 if city=="Uttarpara Kotrung" & state=="West Bengal"
replace gap2costslakhs=1069.93 if city=="Uttarpara Kotrung" & state=="West Bengal"
replace gap2=1 if city=="North Barrackpore" & state=="West Bengal"
replace gap2costslakhs=1922.23 if city=="North Barrackpore" & state=="West Bengal"
replace gap2=1 if city=="Kharda (Extended)" & state=="West Bengal"
replace gap2costslakhs=986.17 if city=="Kharda (Extended)" & state=="West Bengal"
replace gap2=1 if city=="Tolly's Nallah" & state=="West Bengal"
replace gap2costslakhs=3545.36 if city=="Tolly's Nallah" & state=="West Bengal"
replace gap2=1 if city=="Sahebganj" & state=="Jharkhand"
replace gap2costslakhs=47.5 if city=="Sahebganj" & state=="Jharkhand"
/* JSS note: I revised Abby's original program to include the following five cities. (Abby's program just listed them. */
replace gap2 = 1 if city == "Gayeshpur" & state == "West Bengal"
replace gap2costslakhs = (2591.6/3) if city == "Gayeshpur" & state == "West Bengal"
replace gap2 = 1 if city == "Halilshar" & state == "West Bengal"
replace gap2costslakhs = (2591.6/3) if city == "Halilshar" & state == "West Bengal"
replace gap2 = 1 if city == "Kancharapara" & state == "West Bengal"
replace gap2costslakhs = (2591.6/3) if city == "Kancharapara" & state == "West Bengal"
replace gap2 = 1 if city == "Hardwar" & state == "Uttaranchal"
replace gap2costslakhs = (648/2) if city == "Hardwar" & state == "Uttaranchal"
replace gap2 = 1 if city == "Rishikesh" & state == "Uttaranchal"
replace gap2costslakhs = (648/2) if city == "Rishikesh" & state == "Uttaranchal"
replace gap2=0 if year==1986 | year==1987 | year==1988 | year==1989 | year==1990 | year==1991 | year==1992
replace gap2 = 0 if river ~= "Ganga" & river ~= "Yamuna" & river ~= "Gomti" & river ~= "Damodar" & river ~= "Mahananda"
la var gap2 "=1 if city-river-year is treated, =0 otherwise"



g int yap1=0
replace yap1=1 if city=="Delhi" & state=="Delhi"
replace yap1=1 if city=="Chhachhrauli" & state=="Haryana"
replace yap1=1 if city=="Faridabad" & state=="Haryana"
replace yap1=1 if city=="Gharaunda" & state=="Haryana"
replace yap1=1 if city=="Gohana" & state=="Haryana"
replace yap1=1 if city=="Gurgaon" & state=="Haryana"
replace yap1=1 if city=="Indri" & state=="Haryana"
replace yap1=1 if city=="Karnal" & state=="Haryana"
replace yap1=1 if city=="Palwal" & state=="Haryana"
replace yap1=1 if city=="Panipat" & state=="Haryana"
replace yap1=1 if city=="Radaur" & state=="Haryana"
replace yap1=1 if city=="Sonepat" & state=="Haryana"
replace yap1=1 if city=="Yamunanagar-Jagadri" & state=="Haryana"
replace yap1=1 if city=="Agra" & state=="Uttar Pradesh"
replace yap1=1 if city=="Etawah" & state=="Uttar Pradesh"
replace yap1=1 if city=="Ghaziabad" & state=="Uttar Pradesh"
replace yap1=1 if city=="Mathura" & state=="Uttar Pradesh"
replace yap1=1 if city=="Muzaffar Nagar" & state=="Uttar Pradesh"
replace yap1=1 if city=="Noida" & state=="Uttar Pradesh"
replace yap1=1 if city=="Saharanpur" & state=="Uttar Pradesh"
replace yap1=1 if city=="Varindavan" & state=="Uttar Pradesh"
replace yap1=0 if year==1986 | year==1987 | year==1988 | year==1989 | year==1990 | year==1991 | year==1992 /* | year==2004 | year==2005 */
replace yap1 = 0 if river ~= "Yamuna"
replace yap1 = 1 if city == "Ghaziabad" & river == "Hindon" & year > 1992        // 5.27.09: The following three cities weren't coded properly because of the command in line 246 (one line up from here)
replace yap1 = 1 if city == "Muzaffar Nagar" & river == "Kali" & year > 1992
replace yap1 = 1 if city == "Saharanpur" & river == "Hindon" & year > 1992
la var yap1 "=1 if anycity-river-year is treated, =0 otherwise"


g int dap=0
replace dap=1 if city=="Andal" & state=="West Bengal"
replace dap=1 if city=="Asansol" & state=="West Bengal"
replace dap=1 if city=="Durgapur" & state=="West Bengal"
replace dap=1 if city=="Raniganj" & state=="West Bengal"
replace dap=1 if city=="Bokaro-Kangali" & state=="Jharkhand"
replace dap=1 if city=="Chirkunda" & state=="Jharkhand"
replace dap=1 if city=="Dugdha" & state=="Jharkhand"
replace dap=1 if city=="Jharia" & state=="Jharkhand"
replace dap=1 if city=="Ramgarh" & state=="Jharkhand"
replace dap=1 if city=="Sindri" & state=="Jharkhand"
replace dap=1 if city=="Sudamdih" & state=="Jharkhand"
replace dap=1 if city=="Telmachu" & state=="Jharkhand"
replace dap=0 if year==1986 | year==1987 | year==1988 | year==1989 | year==1990 | year==1991 | year==1992 /* | year==2004 | year==2005 */
/* replace dap=. if dap==1 & year==2004 */
replace dap = 0 if river ~= "Damodar"
replace dap = 1 if (city == "Asansol" & river == "Barakar" & year > 1992)           // 5.27.09 Asansol is on the Barakar River, Damodar's main tributary. The previous line (268) prevents its coding as "1"
la var dap "=1 if any city-river-year is treated, =0 otherwise"


g int gomtiap1=0
replace gomtiap1=1 if city=="Jaunpur" & state=="Uttar Pradesh"
replace gomtiap1=1 if city=="Lucknow" & state=="Uttar Pradesh"
replace gomtiap1=1 if city=="Sultanpur" & state=="Uttar Pradesh"
replace gomtiap1=0 if year==1986 | year==1987 | year==1988 | year==1989 | year==1990 | year==1991 | year==1992
/* replace gomtiap1=. if gomtiap1==1 & year==2004
replace gomtiap1 = 0 if year ~= 2004 */
replace gomtiap1 = 0 if river ~= "Gomti"                 // 5.27.09: command used to read "...river ~= "Gomtiap""
la var gomtiap1 "=1 if any city-river-year is treated, =0 otherwise"


/*
* (Sam) This code commented out because GomtiAP-1 is considered permanent, and the only city covered under GomtiAP-2 (Lucknow) is already covered by GomtiAP-1.
g int gomtiap2=0
replace gomtiap2=1 if city=="Lucknow" & state=="Uttar Pradesh"
replace gomtiap2=0 if year==1986 | year==1987 | year==1988 | year==1989 | year==1990 | year==1991 | year==1992  | year==1993 | year==1994 | year==1995 | year==1996 | year==1997 | year==1998 |year==1999 |year==2000 |year==2001 |year==2002
replace gomtiap2 = 0 if river ~= "Gomtiap"
la var gomtiap2 "=1 if any city-river-year is treated, =0 otherwise"
*/


g int nrcp=0
replace nrcp=1 if city=="Chennai" & state=="Tamil Nadu" & river=="Cooum"
replace nrcp=1 if city=="Rewa" & state=="Madhya Pradesh" & river=="Beehar"
replace nrcp=1 if city=="Bhopal" & state=="Madhya Pradesh" & river=="Betwa"
replace nrcp=1 if city=="Mandideep" & state=="Madhya Pradesh" & river=="Betwa"
replace nrcp=1 if city=="Vidisha" & state=="Madhya Pradesh" & river=="Betwa"
replace nrcp=1 if city=="Bhadravathi" & state=="Karnataka" & river=="Bhadra"
replace nrcp=1 if city=="Chandbali" & state=="Orissa" & river=="Baitarni"              // changed from Brahmini to Baitarni on 5.27.09 (city is coded as being on River Baitarni in dataset)
replace nrcp=1 if city=="Dharmashala" & state=="Orissa" & river=="Brahmini"
replace nrcp=1 if city=="Talcher" & state=="Orissa" & river=="Brahmini"
replace nrcp=1 if city=="Puri (Coastal Area)" & state=="Orissa" & river=="Brahmini"
replace nrcp=1 if city=="Bhavani" & state=="Tamil Nadu" & river=="Cauvery"           // city changed to "Bhavani" to follow spelling in dataset, 5.27.09
replace nrcp=1 if city=="Erode" & state=="Tamil Nadu" & river=="Cauvery"
replace nrcp=1 if city=="K.R.Nagar" & state=="Karnataka" & river=="Cauvery"
replace nrcp=1 if city=="Kollegal" & state=="Karnataka" & river=="Cauvery"
replace nrcp=1 if city=="Kumarapalayam" & state=="Tamil Nadu" & river=="Cauvery"
replace nrcp=1 if city=="Nanjangud" & state=="Karnataka" & river=="Kabbani"           // river changed to "Kabbani" to follow dataset, 5.27.09
replace nrcp=1 if city=="Pallipalayam" & state=="Tamil Nadu" & river=="Cauvery"
replace nrcp=1 if city=="Karur" & state=="Tamil Nadu" & river=="Cauvery"
replace nrcp=1 if city=="Kumbakonam" & state=="Tamil Nadu" & river=="Cauvery"
replace nrcp=1 if city=="Mayiladuthurai" & state=="Tamil Nadu" & river=="Cauvery"
replace nrcp=1 if city=="Tiruchirappalli" & state=="Tamil Nadu" & river=="Cauvery"
/* replace nrcp=1 if city=="Trichy" & state=="Tamil Nadu" & river=="Cauvery" */           // Trichy IS Tiruchirappalli, so no need for this line. Interesting that the govt source (NRCD) makes this mistake
replace nrcp=1 if city=="Sri Rangapattanna" & state=="Karnataka" & river=="Cauvery"
replace nrcp=1 if city=="Keshoraipatta" & state=="Rajasthan" & river=="Chambal"
replace nrcp=1 if city=="Kota" & state=="Rajasthan" & river=="Chambal"
replace nrcp=1 if city=="Nagda" & state=="Rajasthan" & river=="Chambal"
replace nrcp=1 if city=="Dimapur" & state=="Nagaland" & river=="Diphu"
replace nrcp=1 if city=="Dimapur" & state=="Nagaland" & river=="Dhansiri"
replace nrcp=1 if city=="Bhadrachalam" & state=="Andhra Pradesh" & river=="Godavari"
replace nrcp=1 if city=="Mancherial" & state=="Andhra Pradesh" & river=="Godavari"
replace nrcp=1 if city=="Rajahmundry" & state=="Andhra Pradesh" & river=="Godavari"
replace nrcp=1 if city=="Ramagundam" & state=="Andhra Pradesh" & river=="Godavari"
replace nrcp=1 if city=="Nanded" & state=="Maharashtra" & river=="Godavari"
replace nrcp=1 if city=="Nashik" & state=="Maharashtra" & river=="Godavari"
replace nrcp=1 if city=="Trimbakeshwar" & state=="Maharashtra" & river=="Godavari"
replace nrcp=1 if city=="Indore" & state=="Madhya Pradesh" & river=="Khan"
replace nrcp=1 if city=="Karad" & state=="Maharashtra" & river=="Krishna"
replace nrcp=1 if city=="Sangli" & state=="Maharashtra" & river=="Krishna"
replace nrcp=1 if city=="Ujjain" & state=="Madhya Pradesh" & river=="Kshipra"
replace nrcp=1 if city=="Cuttack" & state=="Orissa" & river=="Mahanadi"
* 40 towns so far
replace nrcp=1 if city=="Panaji" & state=="Goa" & river=="Mandovi"
replace nrcp=1 if city=="Siliguri" & state=="West Bengal" & river=="Mahananda"
replace nrcp=1 if city=="Hyderabad" & state=="Andhra Pradesh" & river=="Musi"
replace nrcp=1 if city=="Jabalpur" & state=="Madhya Pradesh" & river=="Narmada"
replace nrcp=1 if city=="Hoshangabad" & state=="Madhya Pradesh" & river=="Narmada" /* JSS--I added the state */
replace nrcp=1 if city=="Bangalore" & state=="Karnataka" & river=="Pennar"
replace nrcp=1 if city=="Gangtok" & state=="Sikkim" & river=="Ranichu"       // River "Rani Chu" recoded to "Ranichu" to reflect spelling in dataset, 5.27.09
replace nrcp=1 if city=="Ranipool" & state=="Sikkim" & river=="Ranichu"
replace nrcp=1 if city=="Singtam" & state=="Sikkim" & river=="Ranichu"
replace nrcp=1 if city=="Ahmedabad" & state=="Gujarat" & river=="Sabarmati"
replace nrcp=1 if city=="Jalandhar" & state=="Punjab" & river=="Satluj"
replace nrcp=1 if city=="Ludhiana" & state=="Punjab" & river=="Satluj"
replace nrcp=1 if city=="Phagwara" & state=="Punjab" & river=="Satluj"
replace nrcp=1 if city=="Phillaur" & state=="Punjab" & river=="Satluj"
replace nrcp=1 if city=="Kapurthala" & state=="Punjab" & river=="Beas"            // Kapurthala is on the Beas River, not the Satluj. Recoded 5.27.09
replace nrcp=1 if city=="Sultanpur Lodhi" & state=="Punjab" & river=="Satluj"
replace nrcp=1 if city=="Pamba(Sabarimala)" & state=="Kerala" & river=="Pamba"             // Dataset contains a city called "Pamba Down" but I am not sure if this is the same so I am leaving it
replace nrcp=1 if city=="Ghatshila" & state=="Jharkhand" & river=="Subarnarekha"
replace nrcp=1 if city=="Jamshedpur" & state=="Jharkhand" & river=="Subarnarekha"
replace nrcp=1 if city=="Ranchi" & state=="Jharkhand" & river=="Subarnarekha"
replace nrcp=1 if city=="Burhanpur" & state=="Madhya Pradesh" & river=="Tapi"
replace nrcp=1 if city=="Shimoga Town" & state=="Karnataka" & river=="Tungha"
replace nrcp=1 if city=="Davangere" & state=="Karnataka" & river=="Tungabhadra"
replace nrcp=1 if city=="Harihara" & state=="Karnataka" & river=="Tungabhadra"
replace nrcp=1 if city=="Tirunelveli" & state=="Tamil Nadu" & river=="Tambiraparani"
replace nrcp=1 if city=="Thanjavur" & state=="Tamil Nadu" & river=="Vennar"
replace nrcp=1 if city=="Madurai" & state=="Tamil Nadu" & river=="Vaigai"
replace nrcp=1 if city=="Chapara" & state=="Madhya Pradesh" & river=="Wainganga"
replace nrcp=1 if city=="Keolari" & state=="Madhya Pradesh" & river=="Wainganga"
replace nrcp=1 if city=="Seoni" & state=="Madhya Pradesh" & river=="Wainganga"
la var nrcp "=1 if city-river-year is treated"
* JSS note: abby's code defined nrcp to equal one for all years in any state/river pair that had nrcp in any year. But Abby's writeup ("WaterPollutionUsersGuide_Aug22", p. 6) says that NRCP starts in 1995. So I will redefine nrcp to be zero in years when they are not in force.
replace nrcp = 0 if year <= 1994


